Debian Bug report logs - #122929
RFP: wpoison -- small CGI script to combat junk email (spam)

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Robert Millan <zeratul2@wanadoo.es>

Date: Sat, 8 Dec 2001 12:18:01 UTC

Severity: wishlist

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <zeratul2@wanadoo.es>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <zeratul2@wanadoo.es>
To: submit@bugs.debian.org
Subject: RFP: wpoison -- small CGI script to combat junk email
Date: Sat, 8 Dec 2001 12:02:53 +0100
Package: wnpp
Severity: wishlist

When an email harvester robot enters your webserver to get email
addresess for spaming, executing your wpoison script would
caught it into an endeless loop while providing it with thousands
of fake email addresses to poison its database.

Download from:
http://www.monkeys.com/wpoison/download.html

Test page:
http://www.monkeys.com/cgi-bin/wpoison/wpoison.cgi

License is BSDish with an additional clause (see the .pl file)

# 4. Either a copy of, or a link to the official Wpoison logo graphic
(which
#     may be found at http://www.monkeys.com/wpoison/logo.gif) must be
#     included in, and clearly and legibly visible on the home page of any
#     web site which uses, employs, includes, or makes reference to this
#     software or any derivative or modified version thereof.  Also, the
#     official Wpoison logo itself must be include in an HTML hyperlink
#     so that any usser clicking on any part of the logo image will be
#     directed/linked to the Wpoison home page at:
#       
#       http://www.monkeys.com/wpoison/

Although it appears to be DFSG compliant, the 4th clause requires some
debconf template to notify the user that he/she has to provide the link to
a GIF image.

I'll try to convince them to allow mirroring and redistributing the image
so that
it can be included in the package (it doesn't break DFSG #1 because the
obligation is to link the remote image).

Also using PNG would be preferred because GIF is a patented format
(see http://www.gnu.org/philosophy/gif.html). I'll try to mention that too.

Regards,

-- 
----------------------------------------------------
Robert Millan          Debian GNU/Hurd user
zeratul2 wanadoo es    http://getyouriso.dyndns.org/
----------------------------------------------------
GPG ID C8D6942C
237F 8688 C2E5 BC64 E152  97B4 FB28 D41B C8D6 942C
----------------------------------------------------
Free Dmitry Sklyarov!  http://www.freesklyarov.org
----------------------------------------------------
Join us in civil disobedience and distribute DeCSS!!
----------------------------------------------------
/*    efdtt.c     Author:  Charles M. Hannum <root@ihack.net>            */
/*    Length:  434 bytes (excluding unnecessary newlines)                */
/*    Usage is:  cat title-key scrambled.vob | efdtt >clear.vob          */
/*    title-key can be read from the DVD by css-auth. (see livid.org)    */
#define m(i)(x[i]^s[i+84])<<
unsigned char x[5],y,s[2048];main(n){for(read(0,x,5);read(0,s,n=2048);write(1,s
,n))if(s[y=s[13]%8+20]/16%4==1){int i=m(1)17^256+m(0)8,k=m(2)0,j=m(4)17^m(3)9^k
*2-k%8^8,a=0,c=26;for(s[y]-=16;--c;j*=2)a=a*2^i&1,i=i/2^j&1<<24;for(j=127;++j<n
;c=c>y)c+=y=i^i/8^i>>4^i>>12,i=i>>8^y<<17,a^=a>>14,y=a^a*8^a<<6,a=a>>8^y<<9,k=s
[j],k="7Wo~'G_\216"[k&7]+2^"cr3sfw6v;*k+>/n."[k>>4]*2^k*257/8,s[j]=k^(k&k*2&34)
*6^c+~y;}}




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <zeratul2@wanadoo.es>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #10 received at 122929@bugs.debian.org (full text, mbox):

From: Robert Millan <zeratul2@wanadoo.es>
To: "Ronald F . Guilmette" <rfg@monkeys.com>
Cc: 122929@bugs.debian.org
Subject: wpoison to be included in Debian
Date: Sat, 8 Dec 2001 12:38:31 +0100
Hello,

Wpoison looks like a very nice script, would you like it to be packaged and
included in the Debian GNU/Linux distribution?

I've analised your license, BSDish with an additional 4th clausse, and
it appears to be free software as with our Free Software Guidelines
(http://www.debian.org/social_contract.html#guidelines). wpoison is now
in queue to be packaged.

We respect and honor your 4th clausse. however, there are some things
that I'd appreciate from you of being changed:

- redistribution of the logo.gif image appears to be allowed by clausse 1,
could you also allow using a local copy of such image to comply with 4th
clausse by linking to your website? this would give us the possibility to
include
such image in the package and save you some bandwidth.

- the GIF image format is covered by an Unisys patent. we don't support
such patents because they're an obstacle for the people that makes use of
them,
including you as author of the image. See
http://www.gnu.org/philosophy/gif.html
could you either allow redistribution of the same logo in the alternative
high-quality
PNG format, or provide a PNG logo in your website to remotely link it?

Thanks very much for your attention. please keep the CC field on your
reply,
so that the conversation is logged in our Prospective Packages database.

-- 
----------------------------------------------------
Robert Millan          Debian GNU/Hurd user
zeratul2 wanadoo es    http://getyouriso.dyndns.org/
----------------------------------------------------
GPG ID C8D6942C
237F 8688 C2E5 BC64 E152  97B4 FB28 D41B C8D6 942C
----------------------------------------------------
Free Dmitry Sklyarov!  http://www.freesklyarov.org
----------------------------------------------------
Join us in civil disobedience and distribute DeCSS!!
----------------------------------------------------
/*    efdtt.c     Author:  Charles M. Hannum <root@ihack.net>            */
/*    Length:  434 bytes (excluding unnecessary newlines)                */
/*    Usage is:  cat title-key scrambled.vob | efdtt >clear.vob          */
/*    title-key can be read from the DVD by css-auth. (see livid.org)    */
#define m(i)(x[i]^s[i+84])<<
unsigned char x[5],y,s[2048];main(n){for(read(0,x,5);read(0,s,n=2048);write(1,s
,n))if(s[y=s[13]%8+20]/16%4==1){int i=m(1)17^256+m(0)8,k=m(2)0,j=m(4)17^m(3)9^k
*2-k%8^8,a=0,c=26;for(s[y]-=16;--c;j*=2)a=a*2^i&1,i=i/2^j&1<<24;for(j=127;++j<n
;c=c>y)c+=y=i^i/8^i>>4^i>>12,i=i>>8^y<<17,a^=a>>14,y=a^a*8^a<<6,a=a>>8^y<<9,k=s
[j],k="7Wo~'G_\216"[k&7]+2^"cr3sfw6v;*k+>/n."[k>>4]*2^k*257/8,s[j]=k^(k&k*2&34)
*6^c+~y;}}





Changed Bug title. Request was from Robert Millan <zeratul2@wanadoo.es> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <robert@3b0x.cjb.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #17 received at 122929@bugs.debian.org (full text, mbox):

From: Robert Millan <robert@3b0x.cjb.net>
To: "Ronald F . Guilmette" <rfg@monkeys.com>
Cc: 122929@bugs.debian.org
Subject: wpoison to be included in Debian
Date: Sun, 9 Dec 2001 13:12:22 +0100
Hello,

Wpoison looks like a very nice script, would you like it to be packaged and
included in the Debian GNU/Linux distribution?

I've analised your license, BSDish with an additional advertising clausse,
and it appears to be free software as with our Free Software Guidelines
(http://www.debian.org/social_contract.html#guidelines). wpoison is now
in queue to be packaged.

We respect and honor your advertising clausse. however, there are
some things that I'd appreciate from you of being changed:

- redistribution of the logo.gif image is allowed by clausse 1,
could you also allow using a local copy of such image to comply with 4th
clausse by linking to your website? this would give us the possibility to
include such image in the package and save you some bandwidth.

- the GIF image format is covered by an Unisys patent. we don't support
such patents because they're an obstacle for the people that makes use of
them, including you as author of the image. See
http://www.gnu.org/philosophy/gif.html
could you either allow redistribution of the same logo in the alternative
high-quality PNG format, or provide a PNG logo in your website to remotely
link it?

Thanks very much for your attention. please keep the CC field to
122929@bugs.debian.org on your reply, so that the conversation
is logged in our Prospective Packages database.

P.S: please respond to 'zeratul2@wanadoo.es'. I had some problems to
contact you. 'wanadoo.es' shouldn't be in your MTA's spammer blacklist,
this is just an ISP. If you ever recieve spam from this domain, mailing to
abuse@wanadoo.es should do it.

-- 
----------------------------------------------------
Robert Millan          Debian GNU/Hurd user
zeratul2 wanadoo es    http://getyouriso.dyndns.org/
----------------------------------------------------
GPG ID C8D6942C
237F 8688 C2E5 BC64 E152  97B4 FB28 D41B C8D6 942C
----------------------------------------------------
Free Dmitry Sklyarov!  http://www.freesklyarov.org
----------------------------------------------------
Join us in civil disobedience and distribute DeCSS!!
----------------------------------------------------
/*    efdtt.c     Author:  Charles M. Hannum <root@ihack.net>            */
/*    Length:  434 bytes (excluding unnecessary newlines)                */
/*    Usage is:  cat title-key scrambled.vob | efdtt >clear.vob          */
/*    title-key can be read from the DVD by css-auth. (see livid.org)    */
#define m(i)(x[i]^s[i+84])<<
unsigned char x[5],y,s[2048];main(n){for(read(0,x,5);read(0,s,n=2048);write(1,s
,n))if(s[y=s[13]%8+20]/16%4==1){int i=m(1)17^256+m(0)8,k=m(2)0,j=m(4)17^m(3)9^k
*2-k%8^8,a=0,c=26;for(s[y]-=16;--c;j*=2)a=a*2^i&1,i=i/2^j&1<<24;for(j=127;++j<n
;c=c>y)c+=y=i^i/8^i>>4^i>>12,i=i>>8^y<<17,a^=a>>14,y=a^a*8^a<<6,a=a>>8^y<<9,k=s
[j],k="7Wo~'G_\216"[k&7]+2^"cr3sfw6v;*k+>/n."[k>>4]*2^k*257/8,s[j]=k^(k&k*2&34)
*6^c+~y;}}





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Ronald F. Guilmette" <rfg@monkeys.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #22 received at 122929@bugs.debian.org (full text, mbox):

From: "Ronald F. Guilmette" <rfg@monkeys.com>
To: Robert Millan <robert@3b0x.cjb.net>, zeratul2@wanadoo.es
Cc: 122929@bugs.debian.org
Subject: Re: wpoison to be included in Debian
Date: Sun, 09 Dec 2001 11:34:58 -0800

Dear Robert,

I am replying both to the sender address on your mail, and also to the
other one you specified (zeratul2@wanadoo.es) as well as the address
122929@bugs.debian.org as you requested.

My apologies if that causes you to receive duplicate copies of this
reply.

In message <20011209131222.G10084@aragorn>, you wrote:

>
>Hello,
>
>Wpoison looks like a very nice script, would you like it to be packaged and
>included in the Debian GNU/Linux distribution?

Frankly speaking, I am somwhat ambivilent about this idea.

I like having more publicity for my work, but Wpoison is only a very
imperfect method of combatting spam.  I am working now on better things.

>I've analised your license, BSDish with an additional advertising clausse,
>and it appears to be free software as with our Free Software Guidelines
>(http://www.debian.org/social_contract.html#guidelines). wpoison is now
>in queue to be packaged.
>
>We respect and honor your advertising clausse.

I would like to know how exactly you will do that.

The ``advertising clause'', as you put it, applies to each end user of
the script who installs the scrip on a web site.

How will you arrange things so that the people who install the script,
for example, from a Debian CD, will be properly informed that as a
condition of installing the thing they must put the small Wpoison
icon and the associated link on their home pages?

I suspect that at present, whatever tool or tools are used to install
optional packages, e.g. from a Debian CD, probably do not make any
special effort to show any of the license terms and coonditions to
the person who is installing the package.

Is that true?

Is there some way that you _can_ show some sort of text message to a
person who is about to install an optional package?

If there is such a method, then I would simply ask that you use that
existing mechanism to show the user the ``advertising clause'' from my
license, preferably BEFORE the install actually takes place (but after-
wards would be OK too).

I ask this for the obvious reason... Many people have downloaded and
installed Wpoison but have never bothered to read the license _or_ to
obey its requirements.  This makes me very angry, but obviously I cannot
sue them all, or even find them all.  And I would not want to sue them
anyway.  (I hate lawyers.)

>however, there are
>some things that I'd appreciate from you of being changed:
>
>- redistribution of the logo.gif image is allowed by clausse 1,

I am not sure that is true, but it is not important.  I hereby grant
permission for anyone using my Wpoison script to use and/or copy the
logo.gif file also.  (I would have been more explicit about this small
matter before now, but I do not know how to attach any sort of a copy-
right statement to a GIF file. :-)

>could you also allow using a local copy of such image to comply with 4th
>clausse by linking to your website? this would give us the possibility to
>include such image in the package and save you some bandwidth.

OK.

>- the GIF image format is covered by an Unisys patent. we don't support
>such patents because they're an obstacle for the people that makes use of
>them, including you as author of the image. See
>http://www.gnu.org/philosophy/gif.html

I am aware of this issue.

>could you either allow redistribution of the same logo in the alternative
>high-quality PNG format, or provide a PNG logo in your website to remotely
>link it?

I will allow redistribution of the logo as a PNG format file.

Will you convert the existing GIF file to PNG, or did you want or expect
me to do that step?

If you could do it, I would appreciate that, and it would make things go
faster, I think, because I'm very busy just now, and I don't know when
I could do it.


Regards,
rfg



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <robert@3b0x.cjb.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #27 received at 122929@bugs.debian.org (full text, mbox):

From: Robert Millan <robert@3b0x.cjb.net>
To: "Ronald F . Guilmette" <rfg@monkeys.com>
Cc: 122929@bugs.debian.org
Subject: Re: wpoison to be included in Debian
Date: Mon, 10 Dec 2001 10:02:16 +0100
Hello Ronald,

On Sun, 09 Dec 2001 20:34:58 Ronald F. Guilmette wrote:
> 
> I am replying both to the sender address on your mail, and also to the
> other one you specified (zeratul2@wanadoo.es) as well as the address
> 122929@bugs.debian.org as you requested.
> 
> My apologies if that causes you to receive duplicate copies of this
> reply.

no problem, thanks for your fast response

> >Wpoison looks like a very nice script, would you like it to be packaged
> and
> >included in the Debian GNU/Linux distribution?
> 
> Frankly speaking, I am somwhat ambivilent about this idea.

you have the last word, of course...

> I like having more publicity for my work, but Wpoison is only a very
> imperfect method of combatting spam.  I am working now on better things.

so you think wpoison is somewhat obsolete? if you're working on another
free CGI to combat spam, I'd be glad to package it.

> How will you arrange things so that the people who install the script,
> for example, from a Debian CD, will be properly informed that as a
> condition of installing the thing they must put the small Wpoison
> icon and the associated link on their home pages?

That can be arranged. There's no way to enforce it but a
heavily noticeable message can be displayed.

> I suspect that at present, whatever tool or tools are used to install
> optional packages, e.g. from a Debian CD, probably do not make any
> special effort to show any of the license terms and coonditions to
> the person who is installing the package.
> 
> Is that true?
> 
> Is there some way that you _can_ show some sort of text message to a
> person who is about to install an optional package?

yes, in Debian there's an interface layer that packages use to communicate
with the user. It's called debconf. The layer provides an aspect of the
users'
choice, currently some text-based ones and a GTK+ interface.

Every template can be input with different priorities. I can display your
advertising clause with 'critical' priority; it will be always displayed
unless
the user is running the 'noninteractive' frontend. But believe me this is
a *very* rare thing since it implies ignoring every 'critical' message from
debconf and can result in a broken system.

> If there is such a method, then I would simply ask that you use that
> existing mechanism to show the user the ``advertising clause'' from my
> license, preferably BEFORE the install actually takes place (but after-
> wards would be OK too).

Are you sure this is required? The normal thing is to call it from the
'config'
script and this script is called... well it depends on the users'
configuration.

Some have it set to configure packages before installing them, others
do it after the actual installation. This allows to configure all packages
to be
installed in a bunch and leave the system alone for the rest.

But even if the message is displayed before the installation, and the user
decides not to use wpoison, the file will be installed at the end. However
it's done. you'll need to relay on users' goodwill to comply with your
clause.

> I ask this for the obvious reason... Many people have downloaded and
> installed Wpoison but have never bothered to read the license _or_ to
> obey its requirements.  This makes me very angry, but obviously I cannot
> sue them all, or even find them all.  And I would not want to sue them
> anyway.  (I hate lawyers.)

so do i..

I don't think the kind of person who installs wpoison would ever feel pain
in complying with the ad clause, but rather just doesn't know of its
existance.

He who wants to fight spam by installing wpoison, will likely want to fight
spam
by promoting it.

> I am not sure that is true, but it is not important.  I hereby grant
> permission for anyone using my Wpoison script to use and/or copy the
> logo.gif file also.  (I would have been more explicit about this small
> matter before now, but I do not know how to attach any sort of a copy-
> right statement to a GIF file. :-)

There's no need IMHO, redistribution of the logo is not covered by
wpoison's license since it is a separate file. You could consider that if
you distributed the whole thing in a tarball.

In my opinion, It'd be enough to modify the 4th clausse to say that one
can either use the remote image from your site or mirror it.

> I will allow redistribution of the logo as a PNG format file.

With referring to a remote .png location instead of the .gif one in the
license would be fine.

> Will you convert the existing GIF file to PNG, or did you want or expect
> me to do that step?
> 
> If you could do it, I would appreciate that, and it would make things go
> faster, I think, because I'm very busy just now, and I don't know when
> I could do it.

no problem, got a 'gif2png' tool for that purpose. I'm attaching a PNG
version of your logo.

Regards,

-- 
----------------------------------------------------
Robert Millan          Debian GNU/Hurd user
zeratul2 wanadoo es    http://getyouriso.dyndns.org/
----------------------------------------------------
GPG ID C8D6942C
237F 8688 C2E5 BC64 E152  97B4 FB28 D41B C8D6 942C
----------------------------------------------------
Free Dmitry Sklyarov!  http://www.freesklyarov.org
----------------------------------------------------
Join us in civil disobedience and distribute DeCSS!!
----------------------------------------------------
/*    efdtt.c     Author:  Charles M. Hannum <root@ihack.net>            */
/*    Length:  434 bytes (excluding unnecessary newlines)                */
/*    Usage is:  cat title-key scrambled.vob | efdtt >clear.vob          */
/*    title-key can be read from the DVD by css-auth. (see livid.org)    */
#define m(i)(x[i]^s[i+84])<<
unsigned char x[5],y,s[2048];main(n){for(read(0,x,5);read(0,s,n=2048);write(1,s
,n))if(s[y=s[13]%8+20]/16%4==1){int i=m(1)17^256+m(0)8,k=m(2)0,j=m(4)17^m(3)9^k
*2-k%8^8,a=0,c=26;for(s[y]-=16;--c;j*=2)a=a*2^i&1,i=i/2^j&1<<24;for(j=127;++j<n
;c=c>y)c+=y=i^i/8^i>>4^i>>12,i=i>>8^y<<17,a^=a>>14,y=a^a*8^a<<6,a=a>>8^y<<9,k=s
[j],k="7Wo~'G_\216"[k&7]+2^"cr3sfw6v;*k+>/n."[k>>4]*2^k*257/8,s[j]=k^(k&k*2&34)
*6^c+~y;}}




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Ronald F. Guilmette" <rfg@monkeys.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #32 received at 122929@bugs.debian.org (full text, mbox):

From: "Ronald F. Guilmette" <rfg@monkeys.com>
To: Robert Millan <robert@3b0x.cjb.net>, zeratul2@wanadoo.es
Cc: 122929@bugs.debian.org
Subject: Re: wpoison to be included in Debian
Date: Mon, 10 Dec 2001 11:01:54 -0800
In message <20011210100216.A525@aragorn>, you wrote:

>> I like having more publicity for my work, but Wpoison is only a very
>> imperfect method of combatting spam.  I am working now on better things.
>
>so you think wpoison is somewhat obsolete? if you're working on another
>free CGI to combat spam, I'd be glad to package it.

Not a CGI... A whole mail system.

And it won't be ready for some time yet.

And it won't be free.

>> How will you arrange things so that the people who install the script,
>> for example, from a Debian CD, will be properly informed that as a
>> condition of installing the thing they must put the small Wpoison
>> icon and the associated link on their home pages?
>
>That can be arranged. There's no way to enforce it but a
>heavily noticeable message can be displayed.

OK.  That would be Good.

Please do that.

>> I suspect that at present, whatever tool or tools are used to install
>> optional packages, e.g. from a Debian CD, probably do not make any
>> special effort to show any of the license terms and coonditions to
>> the person who is installing the package.
>> 
>> Is that true?
>> 
>> Is there some way that you _can_ show some sort of text message to a
>> person who is about to install an optional package?
>
>yes, in Debian there's an interface layer that packages use to communicate
>with the user. It's called debconf. The layer provides an aspect of the
>users'
>choice, currently some text-based ones and a GTK+ interface.
>
>Every template can be input with different priorities. I can display your
>advertising clause with 'critical' priority; it will be always displayed
>unless
>the user is running the 'noninteractive' frontend. But believe me this is
>a *very* rare thing since it implies ignoring every 'critical' message from
>debconf and can result in a broken system.

OK.  Good.

So will you please set up the packages so that the installer sees the
part of the copyright that says that he/she must put the icon and link
on their home page?

>> If there is such a method, then I would simply ask that you use that
>> existing mechanism to show the user the ``advertising clause'' from my
>> license, preferably BEFORE the install actually takes place (but after-
>> wards would be OK too).
>
>Are you sure this is required? The normal thing is to call it from the
>'config'
>script and this script is called... well it depends on the users'
>configuration.

The current version of Wpoison is written in Perl.  (You have that right?
It is version 1.07.)  because of that, there is no need for any configuring
of the thing, and thus no need for any configuration step.

>But even if the message is displayed before the installation, and the user
>decides not to use wpoison, the file will be installed at the end. However
>it's done. you'll need to relay on users' goodwill to comply with your
>clause.

I understand that.

>I don't think the kind of person who installs wpoison would ever feel pain
>in complying with the ad clause, but rather just doesn't know of its
>existance.
>
>He who wants to fight spam by installing wpoison, will likely want to fight
>spam by promoting it.

I hope so.

>> I am not sure that is true, but it is not important.  I hereby grant
>> permission for anyone using my Wpoison script to use and/or copy the
>> logo.gif file also.  (I would have been more explicit about this small
>> matter before now, but I do not know how to attach any sort of a copy-
>> right statement to a GIF file. :-)
>
>There's no need IMHO, redistribution of the logo is not covered by
>wpoison's license since it is a separate file. You could consider that if
>you distributed the whole thing in a tarball.
>
>In my opinion, It'd be enough to modify the 4th clausse to say that one
>can either use the remote image from your site or mirror it.

Do I have to?

I am very lazy and very busy.

>> I will allow redistribution of the logo as a PNG format file.
>
>With referring to a remote .png location instead of the .gif one in the
>license would be fine.

I do not have a PNG version on my site however.... only the GIF.

If you really feel that I absolutely need to make changes in the language
of the (current) copyright/license, then please send me context diffs of
what you suggest.

>> Will you convert the existing GIF file to PNG, or did you want or expect
>> me to do that step?
>> 
>> If you could do it, I would appreciate that, and it would make things go
>> faster, I think, because I'm very busy just now, and I don't know when
>> I could do it.
>
>no problem, got a 'gif2png' tool for that purpose. I'm attaching a PNG
>version of your logo.

Can you just put that into the package you are creating (please)?

Another question:  Is there any degradation when converting from GIF to
PNG?  If so, then maybe I should go back to my original icon work... saved
in Ulead PhotoImpact 5... and export it again, but this time as a PNG.
(Actually I don't even know if PhotoImpact will do that... export to a
.PNG file... but I can check if it is important.)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <zeratul2@wanadoo.es>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #37 received at 122929@bugs.debian.org (full text, mbox):

From: Robert Millan <zeratul2@wanadoo.es>
To: "Ronald F . Guilmette" <rfg@monkeys.com>
Cc: 122929@bugs.debian.org
Subject: Re: wpoison to be included in Debian
Date: Wed, 12 Dec 2001 19:35:51 +0100
Hi Ronald,

On Mon, 10 Dec 2001 20:01:54 Ronald F. Guilmette wrote:
> 
> So will you please set up the packages so that the installer sees the
> part of the copyright that says that he/she must put the icon and link
> on their home page?

ok, do you want a textual copy of it? or do you prefer something like:

Wpoison's license explicitally requests that you MUST place a link to
its official website in some place of your server's webpages. Please
refer to /usr/share/doc/wpoison/copyright for details.

(the copyright file always will contain your license and some notes
explaining that a the logo is mirrored in /usr/share/wpoison/)

> The current version of Wpoison is written in Perl.  (You have that right?

yes, perl is one of the base system packages in debian.

> It is version 1.07.)  because of that, there is no need for any
> configuring
> of the thing, and thus no need for any configuration step.

Although 'config' is normally used for package configuration, it
will be displaying the license message in this case.

> If you really feel that I absolutely need to make changes in the language
> of the (current) copyright/license, then please send me context diffs of
> what you suggest.

I'm afraid i can't; any debian user could read the license and report me
that
redistributing the logo to link it would violate clausse 4, but i have no
problem
on sending you some diffs.

> >no problem, got a 'gif2png' tool for that purpose. I'm attaching a PNG
> >version of your logo.
> 
> Can you just put that into the package you are creating (please)?

no problem, while wpoison's license allows redistribution of either the
original logo or the PNG version.

> Another question:  Is there any degradation when converting from GIF to
> PNG?  If so, then maybe I should go back to my original icon work...
> saved
> in Ulead PhotoImpact 5... and export it again, but this time as a PNG.
> (Actually I don't even know if PhotoImpact will do that... export to a
> .PNG file... but I can check if it is important.)

the difference if it exists is not noticeable to my eyes. don't worry on
that.

I'll send you the diffs as soon as i can

-- 
----------------------------------------------------
Robert Millan          Debian GNU/Hurd user
zeratul2 wanadoo es    http://getyouriso.dyndns.org/
----------------------------------------------------
GPG ID C8D6942C
237F 8688 C2E5 BC64 E152  97B4 FB28 D41B C8D6 942C
----------------------------------------------------
Free Dmitry Sklyarov!  http://www.freesklyarov.org
----------------------------------------------------
Join us in civil disobedience and distribute DeCSS!!
----------------------------------------------------
/*    efdtt.c     Author:  Charles M. Hannum <root@ihack.net>            */
/*    Length:  434 bytes (excluding unnecessary newlines)                */
/*    Usage is:  cat title-key scrambled.vob | efdtt >clear.vob          */
/*    title-key can be read from the DVD by css-auth. (see livid.org)    */
#define m(i)(x[i]^s[i+84])<<
unsigned char x[5],y,s[2048];main(n){for(read(0,x,5);read(0,s,n=2048);write(1,s
,n))if(s[y=s[13]%8+20]/16%4==1){int i=m(1)17^256+m(0)8,k=m(2)0,j=m(4)17^m(3)9^k
*2-k%8^8,a=0,c=26;for(s[y]-=16;--c;j*=2)a=a*2^i&1,i=i/2^j&1<<24;for(j=127;++j<n
;c=c>y)c+=y=i^i/8^i>>4^i>>12,i=i>>8^y<<17,a^=a>>14,y=a^a*8^a<<6,a=a>>8^y<<9,k=s
[j],k="7Wo~'G_\216"[k&7]+2^"cr3sfw6v;*k+>/n."[k>>4]*2^k*257/8,s[j]=k^(k&k*2&34)
*6^c+~y;}}




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Ronald F. Guilmette" <rfg@monkeys.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #42 received at 122929@bugs.debian.org (full text, mbox):

From: "Ronald F. Guilmette" <rfg@monkeys.com>
To: Robert Millan <zeratul2@wanadoo.es>
Cc: 122929@bugs.debian.org
Subject: Re: wpoison to be included in Debian
Date: Wed, 12 Dec 2001 11:56:09 -0800
In message <20011212193551.D443@aragorn>, you wrote:

>
>Hi Ronald,
>
>On Mon, 10 Dec 2001 20:01:54 Ronald F. Guilmette wrote:
>> 
>> So will you please set up the packages so that the installer sees the
>> part of the copyright that says that he/she must put the icon and link
>> on their home page?
>
>ok, do you want a textual copy of it? or do you prefer something like:
>
>Wpoison's license explicitally requests that you MUST place a link to
>its official website in some place of your server's webpages. Please
>refer to /usr/share/doc/wpoison/copyright for details.

Replace the word `requests' with `requires'.

Replace the phrase `in some place of your server's webpages' with the
phrase `along with a copy of the official Wpoison icon on your web
site's home page.''

>(the copyright file always will contain your license and some notes
>explaining that a the logo is mirrored in /usr/share/wpoison/)
>
>> The current version of Wpoison is written in Perl.  (You have that right?
>
>yes, perl is one of the base system packages in debian.

No.  I meant to ask you if you have the current version OF WPOISON.

>> If you really feel that I absolutely need to make changes in the language
>> of the (current) copyright/license, then please send me context diffs of
>> what you suggest.
>
>I'm afraid i can't; any debian user could read the license and report me
>that
>redistributing the logo to link it would violate clausse 4, but i have no
>problem
>on sending you some diffs.

What you wrote above makes no sense in English.

Please try again.

Are you going to send me some context diffs?  Yes or no?




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <zeratul2@wanadoo.es>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #47 received at 122929@bugs.debian.org (full text, mbox):

From: Robert Millan <zeratul2@wanadoo.es>
To: "Ronald F . Guilmette" <rfg@monkeys.com>
Cc: 122929@bugs.debian.org
Subject: Re: wpoison to be included in Debian
Date: Wed, 12 Dec 2001 20:59:20 +0100
Hello,

I have set the template message as you told me.

On Wed, 12 Dec 2001 20:56:09 Ronald F. Guilmette wrote:
> 
> >(the copyright file always will contain your license and some notes
> >explaining that a the logo is mirrored in /usr/share/wpoison/)
> >
> >> The current version of Wpoison is written in Perl.  (You have that
> right?
> >
> >yes, perl is one of the base system packages in debian.
> 
> No.  I meant to ask you if you have the current version OF WPOISON.

ah sorry, i downloaded the latest version some days ago and it reads
"1.7p",
not 1.07 as you told me, have you released a newer one or is it a typo?

> Are you going to send me some context diffs?  Yes or no?

Here is it:

27,30c27,34
< #     software or any derivative or modified version thereof.  Also, the
< #     official Wpoison logo itself must be include in an HTML hyperlink
< #     so that any usser clicking on any part of the logo image will be
< #     directed/linked to the Wpoison home page at:
---
> #     software or any derivative or modified version thereof. Permission
is
> #     granted to redistribute the official Wpoison logo graphic in
graphic
> #     formats other than GIF, and to use them to comply with this
statement
> #     as long as the logo graphic does not suffer any modification.
> #
> #     Also, the official Wpoison logo itself must be include in an HTML
> #     hyperlink so that any usser clicking on any part of the logo image
will
> #     be directed/linked to the Wpoison home page at:

by the way, could you send me your wpoison.words file? i don't have any
wordlist
to include in the package.

Regards,

-- 
----------------------------------------------------
Robert Millan          Debian GNU/Hurd user
zeratul2 wanadoo es    http://getyouriso.dyndns.org/
----------------------------------------------------
GPG ID C8D6942C
237F 8688 C2E5 BC64 E152  97B4 FB28 D41B C8D6 942C
----------------------------------------------------
Free Dmitry Sklyarov!  http://www.freesklyarov.org
----------------------------------------------------
Join us in civil disobedience and distribute DeCSS!!
----------------------------------------------------
/*    efdtt.c     Author:  Charles M. Hannum <root@ihack.net>            */
/*    Length:  434 bytes (excluding unnecessary newlines)                */
/*    Usage is:  cat title-key scrambled.vob | efdtt >clear.vob          */
/*    title-key can be read from the DVD by css-auth. (see livid.org)    */
#define m(i)(x[i]^s[i+84])<<
unsigned char x[5],y,s[2048];main(n){for(read(0,x,5);read(0,s,n=2048);write(1,s
,n))if(s[y=s[13]%8+20]/16%4==1){int i=m(1)17^256+m(0)8,k=m(2)0,j=m(4)17^m(3)9^k
*2-k%8^8,a=0,c=26;for(s[y]-=16;--c;j*=2)a=a*2^i&1,i=i/2^j&1<<24;for(j=127;++j<n
;c=c>y)c+=y=i^i/8^i>>4^i>>12,i=i>>8^y<<17,a^=a>>14,y=a^a*8^a<<6,a=a>>8^y<<9,k=s
[j],k="7Wo~'G_\216"[k&7]+2^"cr3sfw6v;*k+>/n."[k>>4]*2^k*257/8,s[j]=k^(k&k*2&34)
*6^c+~y;}}




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Ronald F. Guilmette" <rfg@monkeys.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #52 received at 122929@bugs.debian.org (full text, mbox):

From: "Ronald F. Guilmette" <rfg@monkeys.com>
To: Robert Millan <zeratul2@wanadoo.es>
Cc: 122929@bugs.debian.org
Subject: Re: wpoison to be included in Debian
Date: Wed, 12 Dec 2001 13:23:44 -0800
In message <20011212205920.A841@aragorn>, you wrote:

>
>Hello,
>
>I have set the template message as you told me.

Good.  Thanks.

>ah sorry, i downloaded the latest version some days ago and it reads
>"1.7p",
>not 1.07 as you told me, have you released a newer one or is it a typo?

No no.  You have the proper version now.

The `p' suffix mean `Perl Version'.

(There was once upon a time a C language version, but that has been
retired now.)

>> Are you going to send me some context diffs?  Yes or no?
>
>Here is it:
>
>27,30c27,34
>< #     software or any derivative or modified version thereof.  Also, the
>< #     official Wpoison logo itself must be include in an HTML hyperlink
>< #     so that any usser clicking on any part of the logo image will be
>< #     directed/linked to the Wpoison home page at:
>---
>> #     software or any derivative or modified version thereof. Permission
>is
>> #     granted to redistribute the official Wpoison logo graphic in
>graphic
>> #     formats other than GIF, and to use them to comply with this
>statement
>> #     as long as the logo graphic does not suffer any modification.
>> #
>> #     Also, the official Wpoison logo itself must be include in an HTML
>> #     hyperlink so that any usser clicking on any part of the logo image
>will
>> #     be directed/linked to the Wpoison home page at:

That is perfect.

Can you just make that change for me?  Or do you need me to do it?

>by the way, could you send me your wpoison.words file? i don't have any
>wordlist
>to include in the package.

You should not need a words list.

On UNIX systems, the words should be obtained from the local dictionary
file that is already installed.

Thus, you should make the package be dependent upon having a dictionary
file already installed.  (I am not sure what other RPM that would be located
in.... Probably it is part of some spell-checker... maybe ispell, or maybe
some other spell checker.)

Note that the script looks for the words file in these two places:

	/usr/dict/words
	/usr/share/dict/words


On the RedHat 7.2 system I have here, /usr/share/dict/words is a symlink to
/usr/share/dict/linux.words

But I don't know how to easily find out which RPM that file came from.  Do you?



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #57 received at 122929@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: "Ronald F. Guilmette" <rfg@monkeys.com>, 122929@bugs.debian.org
Subject: Re: Bug#122929: wpoison to be included in Debian
Date: Wed, 12 Dec 2001 19:08:58 -0500
On Wed, Dec 12, 2001 at 01:23:44PM -0800, "Ronald F. Guilmette" <rfg@monkeys.com> was heard to say:
> >by the way, could you send me your wpoison.words file? i don't have any
> >wordlist
> >to include in the package.
> 
> You should not need a words list.
> 
> On UNIX systems, the words should be obtained from the local dictionary
> file that is already installed.

  I believe that would be the "wordlist" virtual package.

  Daniel

-- 
/-------------------- Daniel Burrows <dburrows@debian.org> -------------------\
|   "In the old days of analog sound, if you turned the volume up too high,   |
|    everything started to sound like Bob Dylan."                             |
\------------- Got APT? -- Debian GNU/Linux http://www.debian.org ------------/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <zeratul2@wanadoo.es>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #62 received at 122929@bugs.debian.org (full text, mbox):

From: Robert Millan <zeratul2@wanadoo.es>
To: "Ronald F . Guilmette" <rfg@monkeys.com>
Cc: 122929@bugs.debian.org
Subject: Re: wpoison to be included in Debian
Date: Thu, 13 Dec 2001 12:46:44 +0100
On Wed, 12 Dec 2001 22:23:44 Ronald F. Guilmette wrote:
> 
> No no.  You have the proper version now.
> 
> The `p' suffix mean `Perl Version'.
> 
> (There was once upon a time a C language version, but that has been
> retired now.)

ok, i leave the p. so the current version is 1.07p or 1.7p?

> That is perfect.
> 
> Can you just make that change for me?  Or do you need me to do it?

well if i did it by patching your file, it wouldn't be recorded in the orig
tarball.
It would just look as if i modified the license myself without your
permission,
It's much better if you patch it from upstream, please do it

> Thus, you should make the package be dependent upon having a dictionary
> file already installed.  (I am not sure what other RPM that would be
> located
> in.... Probably it is part of some spell-checker... maybe ispell, or
> maybe
> some other spell checker.)

ah right, i though that ispell dictionaries were in a special format and
cannot be used. solved then. btw, Debian doesn't use RPM but dpkg,
it has some differences.

Regards,

-- 
----------------------------------------------------
Robert Millan          Debian GNU/Hurd user
zeratul2 wanadoo es    http://getyouriso.dyndns.org/
----------------------------------------------------
GPG ID C8D6942C
237F 8688 C2E5 BC64 E152  97B4 FB28 D41B C8D6 942C
----------------------------------------------------
Free Dmitry Sklyarov!  http://www.freesklyarov.org
----------------------------------------------------
Join us in civil disobedience and distribute DeCSS!!
----------------------------------------------------
/*    efdtt.c     Author:  Charles M. Hannum <root@ihack.net>            */
/*    Length:  434 bytes (excluding unnecessary newlines)                */
/*    Usage is:  cat title-key scrambled.vob | efdtt >clear.vob          */
/*    title-key can be read from the DVD by css-auth. (see livid.org)    */
#define m(i)(x[i]^s[i+84])<<
unsigned char x[5],y,s[2048];main(n){for(read(0,x,5);read(0,s,n=2048);write(1,s
,n))if(s[y=s[13]%8+20]/16%4==1){int i=m(1)17^256+m(0)8,k=m(2)0,j=m(4)17^m(3)9^k
*2-k%8^8,a=0,c=26;for(s[y]-=16;--c;j*=2)a=a*2^i&1,i=i/2^j&1<<24;for(j=127;++j<n
;c=c>y)c+=y=i^i/8^i>>4^i>>12,i=i>>8^y<<17,a^=a>>14,y=a^a*8^a<<6,a=a>>8^y<<9,k=s
[j],k="7Wo~'G_\216"[k&7]+2^"cr3sfw6v;*k+>/n."[k>>4]*2^k*257/8,s[j]=k^(k&k*2&34)
*6^c+~y;}}




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Ronald F. Guilmette" <rfg@monkeys.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #67 received at 122929@bugs.debian.org (full text, mbox):

From: "Ronald F. Guilmette" <rfg@monkeys.com>
To: Robert Millan <zeratul2@wanadoo.es>
Cc: 122929@bugs.debian.org
Subject: Re: wpoison to be included in Debian
Date: Thu, 13 Dec 2001 08:01:08 -0800
In message <20011213124644.D630@aragorn>, you wrote:

>On Wed, 12 Dec 2001 22:23:44 Ronald F. Guilmette wrote:
>> 
>> No no.  You have the proper version now.
>> 
>> The `p' suffix mean `Perl Version'.
>> 
>> (There was once upon a time a C language version, but that has been
>> retired now.)
>
>ok, i leave the p. so the current version is 1.07p or 1.7p?

Either.  Whatever it says in the actual text.

>> That is perfect.
>> 
>> Can you just make that change for me?  Or do you need me to do it?
>
>well if i did it by patching your file, it wouldn't be recorded in the orig
>tarball.
>It would just look as if i modified the license myself without your
>permission,
>It's much better if you patch it from upstream, please do it

OK.  But it will have to happen later today, because I have urgent stuff
to do now.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <zeratul2@wanadoo.es>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #72 received at 122929@bugs.debian.org (full text, mbox):

From: Robert Millan <zeratul2@wanadoo.es>
To: debian-legal@lists.debian.org
Cc: 122929@bugs.debian.org
Subject: wpoison, is it okay?
Date: Sun, 16 Dec 2001 00:50:54 +0100
Hi!

Could you take a look at wpoison? (RFP #122929)

I guess it's DFSG compliant but just to make sure...

I've also asked the author for permission to use PNG versions
of his official GIF, do you think the modified license is okay too?

These are the changes for the new license:

27,30c27,34
< #     software or any derivative or modified version thereof.  Also, the
< #     official Wpoison logo itself must be include in an HTML hyperlink
< #     so that any usser clicking on any part of the logo image will be
< #     directed/linked to the Wpoison home page at:
---
> #     software or any derivative or modified version thereof. Permission
is
> #     granted to redistribute the official Wpoison logo graphic in
graphic
> #     formats other than GIF, and to use them to comply with this
statement
> #     as long as the logo graphic does not suffer any modification.
> #
> #     Also, the official Wpoison logo itself must be include in an HTML
> #     hyperlink so that any usser clicking on any part of the logo image
will
> #     be directed/linked to the Wpoison home page at:

Please keep CC to 122929@bugs.debian.org

Regards,

-- 
----------------------------------------------------
Robert Millan          Debian GNU/Hurd user
zeratul2 wanadoo es    http://getyouriso.dyndns.org/
----------------------------------------------------
GPG ID C8D6942C
237F 8688 C2E5 BC64 E152  97B4 FB28 D41B C8D6 942C
----------------------------------------------------
Free Dmitry Sklyarov!  http://www.freesklyarov.org
----------------------------------------------------
Join us in civil disobedience and distribute DeCSS!!
----------------------------------------------------
/*    efdtt.c     Author:  Charles M. Hannum <root@ihack.net>            */
/*    Length:  434 bytes (excluding unnecessary newlines)                */
/*    Usage is:  cat title-key scrambled.vob | efdtt >clear.vob          */
/*    title-key can be read from the DVD by css-auth. (see livid.org)    */
#define m(i)(x[i]^s[i+84])<<
unsigned char x[5],y,s[2048];main(n){for(read(0,x,5);read(0,s,n=2048);write(1,s
,n))if(s[y=s[13]%8+20]/16%4==1){int i=m(1)17^256+m(0)8,k=m(2)0,j=m(4)17^m(3)9^k
*2-k%8^8,a=0,c=26;for(s[y]-=16;--c;j*=2)a=a*2^i&1,i=i/2^j&1<<24;for(j=127;++j<n
;c=c>y)c+=y=i^i/8^i>>4^i>>12,i=i>>8^y<<17,a^=a>>14,y=a^a*8^a<<6,a=a>>8^y<<9,k=s
[j],k="7Wo~'G_\216"[k&7]+2^"cr3sfw6v;*k+>/n."[k>>4]*2^k*257/8,s[j]=k^(k&k*2&34)
*6^c+~y;}}




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #77 received at 122929@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Robert Millan <zeratul2@wanadoo.es>
Cc: debian-legal@lists.debian.org, 122929@bugs.debian.org
Subject: Re: wpoison, is it okay?
Date: Sat, 15 Dec 2001 20:25:48 -0500
[Message part 1 (text/plain, inline)]
On Sun, Dec 16, 2001 at 12:50:54AM +0100, Robert Millan wrote:
> 27,30c27,34
> < #     software or any derivative or modified version thereof.  Also, the
> < #     official Wpoison logo itself must be include in an HTML hyperlink
> < #     so that any usser clicking on any part of the logo image will be
> < #     directed/linked to the Wpoison home page at:
> ---
> > #     software or any derivative or modified version thereof. Permission is
> > #     granted to redistribute the official Wpoison logo graphic in graphic
> > #     formats other than GIF, and to use them to comply with this statement
> > #     as long as the logo graphic does not suffer any modification.
> > #
> > #     Also, the official Wpoison logo itself must be include in an HTML
> > #     hyperlink so that any usser clicking on any part of the logo image 
> > #     will be directed/linked to the Wpoison home page at:
> 
> Please keep CC to 122929@bugs.debian.org

I find neither of these DFSG-free.

First of all, this sort of restriction is better accomplished through
trademark law than copyright law.

This license fails DFSG 3.

	Derived Works 

	The license must allow modifications and derived works, and must
	allow them to be distributed under the same terms as the license
	of the original software.

This license forbids me from modifying the Wpoison logo graphic, which
is presumably part of the package.

The license also forbids distribution of the Wpoison logo in any format
that doesn't support an HTML hyperlink.  Neither the GIF nor PNG
formats, nor any image file format with which I am familiar, supports
HTML linking *inside the image file format*.

Of course, that's not what the copyright holder means, but that's what
his license says.

This license fails DFSG 3 and I would recommend to the author that he
use the right tool for the job.  If he wants trademark protection in the
Wpoison logo, he should apply for it.  Of course, any party that
attempts to use laws other than copyright law to stop people from
exercising their freedoms under the DFSG risks having their software
dropped from Debian or moved to an archive server where such harassment
is less feasible (for instance, U.S. crypto export regulations).

-- 
G. Branden Robinson                |
Debian GNU/Linux                   |           If ignorance is bliss,
branden@debian.org                 |           is omniscience hell?
http://people.debian.org/~branden/ |
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #82 received at 122929@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Robert Millan <zeratul2@wanadoo.es>, 122929@bugs.debian.org
Subject: Re: Bug#122929: wpoison, is it okay?
Date: Sat, 15 Dec 2001 20:53:52 -0500
  I've been following the discussion, and it looks like wpoison, if
determined free, will have the dubious distinction of being the first
program in main (that I know of) with a clickwrap license that attempts
to control use.  (namely, it requires every user [0] to display the wpoison
logo and link to the wpoison web page from their site [1])

  Oddly enough, though, I can't find a clause in the DFSG excluding this
sort of license.  I'm somewhat surprised, actually; maybe it's just
because clickwrap licenses tend to be so onerous that they fail one of
the other points anyway.

  I'm not a lawyer, though, so I'll butt out now.  Maybe you should ask
debian-legal?

  Daniel

  [0] and, apparently, every website which "makes reference to this
  software"; I guess I'm causing lists.debian.org to violate wpoison's
  license with this message?  That sounds like nonsense to me..

  [1] the intent seems to be something like the clauses that require
  credit to the original authors to be given in derivatives; is there
  any way you could twist a website using wpoison into being a
  derivative work?

-- 
/-------------------- Daniel Burrows <dburrows@debian.org> -------------------\
|                  Fate always wins...                                        |
|                  at least, when people stick to the rules.                  |
|                    -- Terry Pratchett, _Interesting Times_                  |
\------- (if (not (understand-this)) (go-to http://www.schemers.org)) --------/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to tb@becket.net (Thomas Bushnell, BSG):
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #87 received at 122929@bugs.debian.org (full text, mbox):

From: tb@becket.net (Thomas Bushnell, BSG)
To: Robert Millan <zeratul2@wanadoo.es>
Cc: debian-legal@lists.debian.org, 122929@bugs.debian.org
Subject: Re: wpoison, is it okay?
Date: 15 Dec 2001 23:54:08 -0800
Branden Robinson <branden@debian.org> writes:

> This license fails DFSG 3 and I would recommend to the author that he
> use the right tool for the job.  If he wants trademark protection in the
> Wpoison logo, he should apply for it.  Of course, any party that
> attempts to use laws other than copyright law to stop people from
> exercising their freedoms under the DFSG risks having their software
> dropped from Debian or moved to an archive server where such harassment
> is less feasible (for instance, U.S. crypto export regulations).

I agree with Branden's analysis of the license provisions you posted,
but I think he a little overstates the issues with trademarks.  In
general, trademarking a name of a piece of software (and restricting
the use of the name) has not been viewed to have anything to do with
whether the software is free.  (The canonical example here is TeX
which has such a restriction.)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Antti-Juhani Kaijanaho <gaia@iki.fi>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #92 received at 122929@bugs.debian.org (full text, mbox):

From: Antti-Juhani Kaijanaho <gaia@iki.fi>
To: debian-legal@lists.debian.org, 122929@bugs.debian.org
Subject: Re: Bug#122929: wpoison, is it okay?
Date: Sun, 16 Dec 2001 13:44:11 +0200
On 20011215T235408-0800, Thomas Bushnell, BSG wrote:
> (The canonical example here is TeX
> which has such a restriction.)

TeX is already a special case as it really does not have a clear
license, but everyone still treats it as free software.

(This was the case at least when I last looked at it, which was a year
or two ago.  I'd be delighted if someone could show I'm wrong about
this.)

-- 
Antti-Juhani Kaijanaho, LuK (BSc)    * http://www.iki.fi/gaia/ * gaia@iki.fi
 tutkimusavustaja / research assistant
 Jyväskylän yliopisto, tietotekniikan laitos
 University of Jyväskylä, Department of Mathematical Information Technology



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to sunnanvind@fenderson.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #97 received at 122929@bugs.debian.org (full text, mbox):

From: "Sunnanvind" <sunnanvind@fenderson.com>
To: debian-legal@lists.debian.org
Cc: 122929@bugs.debian.org
Subject: Re: wpoison, is it okay?
Date: Sun, 16 Dec 2001 16:41:59 +0000
<snip>
> > > #     Also, the official Wpoison logo itself must be include in an
> HTML
> > > #     hyperlink so that any usser clicking on any part of the logo
> image 
> > > #     will be directed/linked to the Wpoison home page at:
> > 
> > Please keep CC to 122929@bugs.debian.org

<snip>
Branden wrote:
> The license also forbids distribution of the Wpoison logo in any format
> that doesn't support an HTML hyperlink.  Neither the GIF nor PNG
> formats, nor any image file format with which I am familiar, supports
> HTML linking *inside the image file format*.

Re-read. It says "image should be inside the hyperlink", not the other 
way around.
Snnnvnd Fndrsn





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to tb@becket.net (Thomas Bushnell, BSG):
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #102 received at 122929@bugs.debian.org (full text, mbox):

From: tb@becket.net (Thomas Bushnell, BSG)
To: Antti-Juhani Kaijanaho <gaia@iki.fi>
Cc: debian-legal@lists.debian.org, 122929@bugs.debian.org
Subject: Re: Bug#122929: wpoison, is it okay?
Date: 16 Dec 2001 11:28:30 -0800
Antti-Juhani Kaijanaho <gaia@iki.fi> writes:

> On 20011215T235408-0800, Thomas Bushnell, BSG wrote:
> > (The canonical example here is TeX
> > which has such a restriction.)
> 
> TeX is already a special case as it really does not have a clear
> license, but everyone still treats it as free software.

Um, no, TeX has a perfectly clear license.

In any case, the point is that normal sorts of trademark issues don't
impinge freeness of software.  (There might be some case where
trademarks are used in a way that *does* cause a problem, but the
normal sorts of things are fine.)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to tb@becket.net (Thomas Bushnell, BSG):
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #107 received at 122929@bugs.debian.org (full text, mbox):

From: tb@becket.net (Thomas Bushnell, BSG)
To: sunnanvind@fenderson.com
Cc: debian-legal@lists.debian.org, 122929@bugs.debian.org
Subject: Re: wpoison, is it okay?
Date: 16 Dec 2001 11:30:01 -0800
"Sunnanvind" <sunnanvind@fenderson.com> writes:

> Re-read. It says "image should be inside the hyperlink", not the other 
> way around.

You're right, but it still seems to prohibit any kind of distribution
which is not by hyperlinks that include their logo.  That's not
trademark protection, it's rather a kind of forced advertising.
Unlike the noxious BSD advertising clause, however, it actually
requires the advertising, and as such, is non-free.

It seems to me that we cannot even distribute it in the nonfree
archive.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Antti-Juhani Kaijanaho <gaia@iki.fi>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #112 received at 122929@bugs.debian.org (full text, mbox):

From: Antti-Juhani Kaijanaho <gaia@iki.fi>
To: debian-legal@lists.debian.org, 122929@bugs.debian.org
Subject: Re: Bug#122929: wpoison, is it okay?
Date: Sun, 16 Dec 2001 21:46:39 +0200
On 20011216T112830-0800, Thomas Bushnell, BSG wrote:
> Um, no, TeX has a perfectly clear license.

Would you please give a reference to it?

-- 
Antti-Juhani Kaijanaho, LuK (BSc)    * http://www.iki.fi/gaia/ * gaia@iki.fi
 tutkimusavustaja / research assistant
 Jyväskylän yliopisto, tietotekniikan laitos
 University of Jyväskylä, Department of Mathematical Information Technology



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to tb@becket.net (Thomas Bushnell, BSG):
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #117 received at 122929@bugs.debian.org (full text, mbox):

From: tb@becket.net (Thomas Bushnell, BSG)
To: Antti-Juhani Kaijanaho <gaia@iki.fi>
Cc: debian-legal@lists.debian.org, 122929@bugs.debian.org
Subject: Re: Bug#122929: wpoison, is it okay?
Date: 16 Dec 2001 12:00:46 -0800
Antti-Juhani Kaijanaho <gaia@iki.fi> writes:

> On 20011216T112830-0800, Thomas Bushnell, BSG wrote:
> > Um, no, TeX has a perfectly clear license.
> 
> Would you please give a reference to it?

From tex.web:

% This program is copyright (C) 1982 by D. E. Knuth; all rights are reserved.
% Copying of this file is authorized only if (1) you are D. E. Knuth, or if
% (2) you make absolutely no changes to your copy. (The WEB system provides
% for alterations via an auxiliary file; the master file should stay intact.)
% See Appendix H of the WEB manual for hints on how to install this program.
% And see Appendix A of the TRIP manual for details about how to validate it.

Note that number (2) there permits distribution of patched versions,
provided you use the special WEB mechanism for patches.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to sunnanvind@fenderson.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #122 received at 122929@bugs.debian.org (full text, mbox):

From: "Sunnanvind" <sunnanvind@fenderson.com>
To: debian-legal@lists.debian.org, 122929@bugs.debian.org
Subject: Re: wpoison, is it okay?
Date: Sun, 16 Dec 2001 20:03:21 +0000
> You're right, but it still seems to prohibit any kind of distribution
> which is not by hyperlinks that include their logo. 

I agree that it doesn't make any actual difference with regard to 
freeness; I was just refuting Brandens insinuation of ignorance on behalf 
of the license writer.

> That's not
> trademark protection, it's rather a kind of forced advertising.
> Unlike the noxious BSD advertising clause, however, it actually
> requires the advertising, and as such, is non-free.
> 
> It seems to me that we cannot even distribute it in the nonfree
> archive.
> 

My own interpretation is that it can be distributed in the non-free 
archive. It fails DFSG 3 by not allowing removal of the hyperlink; but as 
long as the hyperlink is there, I don't see any problem for non-free.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to tb@becket.net (Thomas Bushnell, BSG):
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #127 received at 122929@bugs.debian.org (full text, mbox):

From: tb@becket.net (Thomas Bushnell, BSG)
To: sunnanvind@fenderson.com
Cc: debian-legal@lists.debian.org, 122929@bugs.debian.org
Subject: Re: wpoison, is it okay?
Date: 16 Dec 2001 12:16:31 -0800
"Sunnanvind" <sunnanvind@fenderson.com> writes:

> My own interpretation is that it can be distributed in the non-free 
> archive. It fails DFSG 3 by not allowing removal of the hyperlink; but as 
> long as the hyperlink is there, I don't see any problem for non-free.

The non-free archive contains hyperlinks, and the license requires
that those hyperlinks include the image.  We don't do that, unless you
plan special hackery.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to sunnanvind@fenderson.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #132 received at 122929@bugs.debian.org (full text, mbox):

From: "Sunnanvind" <sunnanvind@fenderson.com>
To: debian-legal@lists.debian.org, 122929@bugs.debian.org
Subject: Re: wpoison, is it okay?
Date: Sun, 16 Dec 2001 21:21:27 +0000
Thomas wrote:
> The non-free archive contains hyperlinks, and the license requires
> that those hyperlinks include the image.

The license require no such thing.
What it does require is that the image is displayed, hyperlinked (i.e. 
placed within hyperlink tags) to the specific page.

It's a very small invariant piece, much like many that are already 
included in FSF programs today. (All instances of the GPL contains the 
FSF postal adress if I recall correctly.)

The license doesn't discuss other hyperlinks of the archive at all.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to tb@becket.net (Thomas Bushnell, BSG):
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #137 received at 122929@bugs.debian.org (full text, mbox):

From: tb@becket.net (Thomas Bushnell, BSG)
To: sunnanvind@fenderson.com
Cc: debian-legal@lists.debian.org, 122929@bugs.debian.org
Subject: Re: wpoison, is it okay?
Date: 16 Dec 2001 14:58:31 -0800
"Sunnanvind" <sunnanvind@fenderson.com> writes:

> The license require no such thing.
> What it does require is that the image is displayed, hyperlinked (i.e. 
> placed within hyperlink tags) to the specific page.

Where are you proposing we place that hyperlink?




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to sunnanvind@fenderson.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #142 received at 122929@bugs.debian.org (full text, mbox):

From: "Sunnanvind" <sunnanvind@fenderson.com>
To: debian-legal@lists.debian.org, 122929@bugs.debian.org
Subject: Re: wpoison, is it okay?
Date: Mon, 17 Dec 2001 01:15:54 +0000
Thomas wrote:
> Where are you proposing we place that hyperlink?

I just recieved word that the program appears to be a non-graphical one 
and as such, the placement of the hyperlink is indeed a problem, the 
burden of solving which I'd prefer to place on the copyright holder.

Conclusively, an inquiry to the upstream author (perhaps by the package 
maintainer) is in order.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <zeratul2@wanadoo.es>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #147 received at 122929@bugs.debian.org (full text, mbox):

From: Robert Millan <zeratul2@wanadoo.es>
To: Matthew Astley <matthew@fruitcake.demon.co.uk>
Cc: 122929@bugs.debian.org
Subject: Re: RFP: wpoison -- small CGI script to combat junk email
Date: Tue, 16 Jul 2002 12:31:41 +0200
Hi Matthew!

On Tue, Jul 16, 2002 at 02:41:16AM +0100, Matthew Astley wrote:
> I've pulled this down from http://bugs.debian.org/122929 , forgive me
> for the confusion. I'm not a Debian maintainer, but I probably should
> be. 9-)

Are you taking this RFP? In that case please retitle the bug to
start with "ITP"

> Over the weekend I got really ticked off with one spambot based on
> Indylib, which is documented at flarp.net . I had a chat with the guy
> at flarp.net, and muttered something about feeding the stupid beast
> some data.
> 
> I'm sure I bumped into wpoison when it was first released .. indeed I
> think I used it to generate static HTML bait back in 1997, but this
> time I reinvented the wheel.

This is great news. I gave up on wpoison because it had very unproper
license restrictions, and upstream wasn't maintaining it.

> If you're still interested in this sort of thing, you can prod it from
> http://www.t8o.org/ .

It's down at the moment.

> I have to reclaim my copyright from my employer, but the thing will be
> GPL when I release it - hopefully inside a month, depending on
> interest.

Nice. I prefer GPL much more than the BSDish license with advertising
clause it had.

> Subject to seeing the spambots reaction to the thing when it next
> visits, I've probably lost interest in the thing for now though,
> sorry.

Do you have a sponsor to get it in Debian?

> ps. play much Starcraft, or is the name a coincidence?

I used to. 400 shield hit points and 100 psyon blade damage
is worth to put a name in my email :)

please CC to 122929@bugs.debian.org on your response.

cheers,

-- 
Robert Millan

"5 years from now everyone will be running
free GNU on their 200 MIPS, 64M SPARCstation-5"

              Andrew S. Tanenbaum, 30 Jan 1992



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matthew Astley <mca-debbts@fruitcake.demon.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #152 received at 122929@bugs.debian.org (full text, mbox):

From: Matthew Astley <mca-debbts@fruitcake.demon.co.uk>
To: Robert Millan <zeratul2@wanadoo.es>
Cc: 122929@bugs.debian.org
Subject: Re: tramspap.pl, possible replacement for wpoison
Date: Wed, 17 Jul 2002 04:39:18 +0100
If I'd known headers would be up on the BTS, I would have started with
the also-valid mail address above. 8-(  Never mind.


On Tue, Jul 16, 2002 at 12:31:41PM +0200, Robert Millan wrote:
> On Tue, Jul 16, 2002 at 02:41:16AM +0100, Matthew Astley wrote:

> > I've pulled this down from http://bugs.debian.org/122929 , forgive
> > me for the confusion. I'm not a Debian maintainer, but I probably
> > should be. 9-)
> 
> Are you taking this RFP? In that case please retitle the bug to
> start with "ITP"

No, I meant "pull down" in the sense of stealing the message-id and
subject line, really. I think I expected some different flavour of
confusion. 8-}


> This is great news. I gave up on wpoison because it had very
> unproper license restrictions, and upstream wasn't maintaining it.

IMHO doing something moderately useful is likely to create better
publicity than insisting on getting links up all over.


> > If you're still interested in this sort of thing, you can prod it from
> > http://www.t8o.org/ .
> 
> It's down at the moment.

For a change, it's not NTL. http://bugs.debian.org/133790   8-(

Oh whoops, I should've hit that with the browser first, rather than
taking reportbug's perspective (ie. first message only). D'ya think I
should file against reportbug? Seems a bit trigger-happy, but a "don't
forget to read the whole thing" warning might save some embarrassment
for someone.

> > Subject to seeing the spambots reaction to the thing when it next
> > visits, I've probably lost interest in the thing for now though,
> > sorry.
> 
> Do you have a sponsor to get it in Debian?

No. I know a couple of maintainers, but I've not asked for
sponsorship. I don't know exactly what this requires them to do, or
what sort of standing they require. Will read stuff "later".


Also, I think "tramspap" should have a few more tricks up its sleeve
before being turned loose on the world. For example, I've just
discovered that any sort of multi-threaded crawler will very
effectively DoS the Apache by using up all eight threads. Oops.

I can't see a sane answer to this one. You _have_ to tie up the Apache
process while you're returning HTML at 1cps.

Perhaps the tarpitting aspect could be handled by a special Apache
module which accepts a bufferful of data and returns it slowly, while
still accepting the next connection?

It would appear to be valid to fork off some trivial process to handle
the squirt of data. All that's required is "feed this data out slowly,
until they go away or you run out of data". There's no reason to
accept input, provided the keep-alive has been disabled.


Matthew  #8-)



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <zeratul2@wanadoo.es>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #157 received at 122929@bugs.debian.org (full text, mbox):

From: Robert Millan <zeratul2@wanadoo.es>
To: Matthew Astley <mca-debbts@fruitcake.demon.co.uk>
Cc: 122929@bugs.debian.org
Subject: Re: tramspap.pl, possible replacement for wpoison
Date: Wed, 17 Jul 2002 02:19:53 +0200
On Wed, Jul 17, 2002 at 04:39:18AM +0100, Matthew Astley wrote:
> 
> No, I meant "pull down" in the sense of stealing the message-id and
> subject line, really. I think I expected some different flavour of
> confusion. 8-}

If you want to replace wpoison's WNPP entry with whatever you are
working on, feel free to. I don't mind about wpoison anymore.

> For a change, it's not NTL. http://bugs.debian.org/133790   8-(
> 
> Oh whoops, I should've hit that with the browser first, rather than
> taking reportbug's perspective (ie. first message only). D'ya think I
> should file against reportbug? Seems a bit trigger-happy, but a "don't
> forget to read the whole thing" warning might save some embarrassment
> for someone.

I don't know, speak with the reportbug maintainer.

> > Do you have a sponsor to get it in Debian?
> 
> No. I know a couple of maintainers, but I've not asked for
> sponsorship. I don't know exactly what this requires them to do, or
> what sort of standing they require. Will read stuff "later".

You need a developer that can help you. Not all maintainers are
developers. You can identify a developer by his/her address @debian.org
or with the database at http://db.debian.org/.

I'd ask in debian-devel, debian-mentors and mostly to people who manifested
interest in wpoison (see the RFP entry)

This URL contains some useful information for sponsors:

http://www.internatif.org/bortzmeyer/debian/sponsor/

> Also, I think "tramspap" should have a few more tricks up its sleeve
> before being turned loose on the world. For example, I've just
> discovered that any sort of multi-threaded crawler will very
> effectively DoS the Apache by using up all eight threads. Oops.
> 
> I can't see a sane answer to this one. You _have_ to tie up the Apache
> process while you're returning HTML at 1cps.
> 
> Perhaps the tarpitting aspect could be handled by a special Apache
> module which accepts a bufferful of data and returns it slowly, while
> still accepting the next connection?
> 
> It would appear to be valid to fork off some trivial process to handle
> the squirt of data. All that's required is "feed this data out slowly,
> until they go away or you run out of data". There's no reason to
> accept input, provided the keep-alive has been disabled.

Maybe on the lists about apache and security someone can help on this:

http://lists.debian.org/

cheers,

-- 
Robert Millan

"5 years from now everyone will be running
free GNU on their 200 MIPS, 64M SPARCstation-5"

              Andrew S. Tanenbaum, 30 Jan 1992



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#122929; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <zeratul2@wanadoo.es>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #162 received at 122929@bugs.debian.org (full text, mbox):

From: Robert Millan <zeratul2@wanadoo.es>
To: Stephen Gran <steve@lobefin.net>
Cc: 122929@bugs.debian.org
Subject: Re: wpoison
Date: Sun, 1 Dec 2002 12:24:24 +0100
On Sat, Nov 30, 2002 at 02:55:26PM -0500, Stephen Gran wrote:
> Hello Robert,
> 
> I saw an RFP for wpoison from you from some time ago, and I took a quick
> look at the program.  It looks like a good idea, but the I am unsure
> about the license.  On the wpoison site, one page says "must include a
> hyperlink" and another says "I ask that you include a hyperlink" - not
> very consistent.  
> 
> I am writing to you because I am a New Maintainer (TM :^) ), and would
> like to package this, if it is indeed Free.  I was wondering if you had
> been in contact with the author about this, or if you were still
> planning on doing anything with it.  Sorry if this has already been
> beaten to death - I took a quick look through -legal and didn't see
> anything about it.

Hi Stephen,

There are a LOT of problems packaging wpoison, including dead upstream
and improper license (according to debian-legal it can't go into non-free
even) I tried to contact upstream to change his license but he stopped
responding after some mails.

See the RFP log to know exactly what happened:

http://bugs.debian.org/122929

I don't want to look at wpoison at all now. On your hand, if you want to
package an anti-spam CGI like that, I suggest you to look at a GPLed tool
referenced in the RFP:

author: Matthew Astley <matthew@fruitcake.demon.co.uk>
announced: http://lists.debian.org/debian-wnpp/2002/debian-wnpp-200207/msg00291.html
homepage: http://www.t8o.org/
test it: http://www.t8o.org/tramspap/

I don't know more about it.

have luck,

-- 
Robert Millan

"5 years from now everyone will be running
free GNU on their 200 MIPS, 64M SPARCstation-5"

              Andrew S. Tanenbaum, 30 Jan 1992



Bug closed, send any further explanations to Robert Millan <zeratul2@wanadoo.es> Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:41:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.